Esc

↑↓ move↵ openIndex · Pagefind
REST reference · Financial Management

Payment Applications

11 endpoints11 implementedAll modules →
  1. GET /rest/v1.0/projects/{project_id}/payment_applicationsList payment applications
  2. POST /rest/v1.0/projects/{project_id}/payment_applicationsCreate payment application
  3. GET /rest/v1.0/projects/{project_id}/payment_applications/{id}Show payment application
  4. PATCH /rest/v1.0/projects/{project_id}/payment_applications/{id}Update payment application
  5. POST /rest/v1.0/projects/{project_id}/payment_applications/{id}/approveApprove
  6. GET /rest/v1.0/projects/{project_id}/payment_applications/{id}/linesList continuation-sheet (G703) line items
  7. PATCH /rest/v1.0/projects/{project_id}/payment_applications/{id}/lines/{line_id}Update a line (this-period entry)
  8. POST /rest/v1.0/projects/{project_id}/payment_applications/{id}/rejectReject
  9. POST /rest/v1.0/projects/{project_id}/payment_applications/{id}/submitSubmit for review
  10. POST /rest/v1.0/projects/{project_id}/payment_applications/{id}/voidVoid
  11. GET /rest/v1.0/projects/{project_id}/payment_applications/filter_options/statusesStatus filter options
GET /rest/v1.0/projects/{project_id}/payment_applications

List payment applications

v1.0Implemented

Parameters

  • project_id
    stringpathrequired

Response · 200 · PaymentApplicationListItem[]

  • id
    integerrequired
  • number
    stringrequired
  • invoice_number
    string
  • status
    stringrequired
  • translated_status
    stringrequired
  • contract
    ContractStubrequired
  • billing_date
    string
  • period_start
    string
  • period_end
    string
  • billing_period
    BillingPeriod
  • retainage_percent
    numberrequired
  • percent_complete
    numberrequired
  • grand_total
    stringrequired
  • net_change_by_change_orders
    string
  • contract_sum_to_date
    string
  • total_completed_and_stored_to_date
    stringrequired
  • total_amount_accrued_this_period
    string
  • work_retainage
    string
  • materials_retainage
    string
  • total_retainage
    string
  • released_retainage
    string
  • current_payment_due
    stringrequired
  • amount_paid
    string
  • created_at
    stringrequired
  • updated_at
    stringrequired
POST /rest/v1.0/projects/{project_id}/payment_applications

Create payment application

v1.0Implemented

Parameters

  • project_id
    stringpathrequired

Request body

  • payment_application
    objectrequired

Response · 201 · PaymentApplicationShow

  • id
    integerrequired
  • number
    stringrequired
  • invoice_number
    string
  • status
    stringrequired
  • translated_status
    stringrequired
  • contract
    ContractStubrequired
  • billing_date
    string
  • period_start
    string
  • period_end
    string
  • billing_period
    BillingPeriod
  • retainage_percent
    numberrequired
  • percent_complete
    numberrequired
  • grand_total
    stringrequired
  • net_change_by_change_orders
    string
  • contract_sum_to_date
    string
  • total_completed_and_stored_to_date
    stringrequired
  • total_amount_accrued_this_period
    string
  • work_retainage
    string
  • materials_retainage
    string
  • total_retainage
    string
  • released_retainage
    string
  • current_payment_due
    stringrequired
  • amount_paid
    string
  • created_at
    stringrequired
  • updated_at
    stringrequired
  • created_by
    object
  • submitted_at
    string
  • approved_at
    string
  • paid_at
    string
  • summary
    PaymentApplicationSummaryrequired
  • line_items
    PaymentApplicationLine[]required
  • details_available
    booleanrequired
GET /rest/v1.0/projects/{project_id}/payment_applications/{id}

Show payment application

v1.0Implemented

Parameters

  • project_id
    stringpathrequired
  • id
    stringpathrequired

Response · 200 · PaymentApplicationShow

  • id
    integerrequired
  • number
    stringrequired
  • invoice_number
    string
  • status
    stringrequired
  • translated_status
    stringrequired
  • contract
    ContractStubrequired
  • billing_date
    string
  • period_start
    string
  • period_end
    string
  • billing_period
    BillingPeriod
  • retainage_percent
    numberrequired
  • percent_complete
    numberrequired
  • grand_total
    stringrequired
  • net_change_by_change_orders
    string
  • contract_sum_to_date
    string
  • total_completed_and_stored_to_date
    stringrequired
  • total_amount_accrued_this_period
    string
  • work_retainage
    string
  • materials_retainage
    string
  • total_retainage
    string
  • released_retainage
    string
  • current_payment_due
    stringrequired
  • amount_paid
    string
  • created_at
    stringrequired
  • updated_at
    stringrequired
  • created_by
    object
  • submitted_at
    string
  • approved_at
    string
  • paid_at
    string
  • summary
    PaymentApplicationSummaryrequired
  • line_items
    PaymentApplicationLine[]required
  • details_available
    booleanrequired
PATCH /rest/v1.0/projects/{project_id}/payment_applications/{id}

Update payment application

v1.0Implemented

Parameters

  • project_id
    stringpathrequired
  • id
    stringpathrequired

Response · 200 · PaymentApplicationShow

  • id
    integerrequired
  • number
    stringrequired
  • invoice_number
    string
  • status
    stringrequired
  • translated_status
    stringrequired
  • contract
    ContractStubrequired
  • billing_date
    string
  • period_start
    string
  • period_end
    string
  • billing_period
    BillingPeriod
  • retainage_percent
    numberrequired
  • percent_complete
    numberrequired
  • grand_total
    stringrequired
  • net_change_by_change_orders
    string
  • contract_sum_to_date
    string
  • total_completed_and_stored_to_date
    stringrequired
  • total_amount_accrued_this_period
    string
  • work_retainage
    string
  • materials_retainage
    string
  • total_retainage
    string
  • released_retainage
    string
  • current_payment_due
    stringrequired
  • amount_paid
    string
  • created_at
    stringrequired
  • updated_at
    stringrequired
  • created_by
    object
  • submitted_at
    string
  • approved_at
    string
  • paid_at
    string
  • summary
    PaymentApplicationSummaryrequired
  • line_items
    PaymentApplicationLine[]required
  • details_available
    booleanrequired
POST /rest/v1.0/projects/{project_id}/payment_applications/{id}/approve

Approve

v1.0Implemented

Parameters

  • project_id
    stringpathrequired
  • id
    stringpathrequired

Response · 200 · PaymentApplicationShow

  • id
    integerrequired
  • number
    stringrequired
  • invoice_number
    string
  • status
    stringrequired
  • translated_status
    stringrequired
  • contract
    ContractStubrequired
  • billing_date
    string
  • period_start
    string
  • period_end
    string
  • billing_period
    BillingPeriod
  • retainage_percent
    numberrequired
  • percent_complete
    numberrequired
  • grand_total
    stringrequired
  • net_change_by_change_orders
    string
  • contract_sum_to_date
    string
  • total_completed_and_stored_to_date
    stringrequired
  • total_amount_accrued_this_period
    string
  • work_retainage
    string
  • materials_retainage
    string
  • total_retainage
    string
  • released_retainage
    string
  • current_payment_due
    stringrequired
  • amount_paid
    string
  • created_at
    stringrequired
  • updated_at
    stringrequired
  • created_by
    object
  • submitted_at
    string
  • approved_at
    string
  • paid_at
    string
  • summary
    PaymentApplicationSummaryrequired
  • line_items
    PaymentApplicationLine[]required
  • details_available
    booleanrequired
GET /rest/v1.0/projects/{project_id}/payment_applications/{id}/lines

List continuation-sheet (G703) line items

v1.0Implemented

Parameters

  • project_id
    stringpathrequired
  • id
    stringpathrequired

Response · 200 · PaymentApplicationLine[]

  • id
    integerrequired
  • item_number
    stringrequired
  • description_of_work
    stringrequired
  • cost_code
    CostCodeStub
  • scheduled_value
    stringrequired
  • work_completed_from_previous_application
    stringrequired
  • work_completed_this_period
    stringrequired
  • materials_presently_stored
    stringrequired
  • previous_materials_stored
    stringrequired
  • stored_installed_this_period
    stringrequired
  • total_completed_and_stored_to_date
    stringrequired
  • total_completed_and_stored_to_date_percent
    numberrequired
  • balance_to_finish
    stringrequired
  • work_retainage
    string
  • materials_retainage
    string
  • retainage
    stringrequired
  • work_retainage_percent
    number
  • materials_retainage_percent
    number
PATCH /rest/v1.0/projects/{project_id}/payment_applications/{id}/lines/{line_id}

Update a line (this-period entry)

v1.0Implemented

Parameters

  • project_id
    stringpathrequired
  • id
    stringpathrequired
  • line_id
    stringpathrequired

Response · 200 · PaymentApplicationLine

  • id
    integerrequired
  • item_number
    stringrequired
  • description_of_work
    stringrequired
  • cost_code
    CostCodeStub
  • scheduled_value
    stringrequired
  • work_completed_from_previous_application
    stringrequired
  • work_completed_this_period
    stringrequired
  • materials_presently_stored
    stringrequired
  • previous_materials_stored
    stringrequired
  • stored_installed_this_period
    stringrequired
  • total_completed_and_stored_to_date
    stringrequired
  • total_completed_and_stored_to_date_percent
    numberrequired
  • balance_to_finish
    stringrequired
  • work_retainage
    string
  • materials_retainage
    string
  • retainage
    stringrequired
  • work_retainage_percent
    number
  • materials_retainage_percent
    number
POST /rest/v1.0/projects/{project_id}/payment_applications/{id}/reject

Reject

v1.0Implemented

Parameters

  • project_id
    stringpathrequired
  • id
    stringpathrequired

Response · 200 · PaymentApplicationShow

  • id
    integerrequired
  • number
    stringrequired
  • invoice_number
    string
  • status
    stringrequired
  • translated_status
    stringrequired
  • contract
    ContractStubrequired
  • billing_date
    string
  • period_start
    string
  • period_end
    string
  • billing_period
    BillingPeriod
  • retainage_percent
    numberrequired
  • percent_complete
    numberrequired
  • grand_total
    stringrequired
  • net_change_by_change_orders
    string
  • contract_sum_to_date
    string
  • total_completed_and_stored_to_date
    stringrequired
  • total_amount_accrued_this_period
    string
  • work_retainage
    string
  • materials_retainage
    string
  • total_retainage
    string
  • released_retainage
    string
  • current_payment_due
    stringrequired
  • amount_paid
    string
  • created_at
    stringrequired
  • updated_at
    stringrequired
  • created_by
    object
  • submitted_at
    string
  • approved_at
    string
  • paid_at
    string
  • summary
    PaymentApplicationSummaryrequired
  • line_items
    PaymentApplicationLine[]required
  • details_available
    booleanrequired
POST /rest/v1.0/projects/{project_id}/payment_applications/{id}/submit

Submit for review

v1.0Implemented

Parameters

  • project_id
    stringpathrequired
  • id
    stringpathrequired

Response · 200 · PaymentApplicationShow

  • id
    integerrequired
  • number
    stringrequired
  • invoice_number
    string
  • status
    stringrequired
  • translated_status
    stringrequired
  • contract
    ContractStubrequired
  • billing_date
    string
  • period_start
    string
  • period_end
    string
  • billing_period
    BillingPeriod
  • retainage_percent
    numberrequired
  • percent_complete
    numberrequired
  • grand_total
    stringrequired
  • net_change_by_change_orders
    string
  • contract_sum_to_date
    string
  • total_completed_and_stored_to_date
    stringrequired
  • total_amount_accrued_this_period
    string
  • work_retainage
    string
  • materials_retainage
    string
  • total_retainage
    string
  • released_retainage
    string
  • current_payment_due
    stringrequired
  • amount_paid
    string
  • created_at
    stringrequired
  • updated_at
    stringrequired
  • created_by
    object
  • submitted_at
    string
  • approved_at
    string
  • paid_at
    string
  • summary
    PaymentApplicationSummaryrequired
  • line_items
    PaymentApplicationLine[]required
  • details_available
    booleanrequired
POST /rest/v1.0/projects/{project_id}/payment_applications/{id}/void

Void

v1.0Implemented

Parameters

  • project_id
    stringpathrequired
  • id
    stringpathrequired

Response · 200 · PaymentApplicationShow

  • id
    integerrequired
  • number
    stringrequired
  • invoice_number
    string
  • status
    stringrequired
  • translated_status
    stringrequired
  • contract
    ContractStubrequired
  • billing_date
    string
  • period_start
    string
  • period_end
    string
  • billing_period
    BillingPeriod
  • retainage_percent
    numberrequired
  • percent_complete
    numberrequired
  • grand_total
    stringrequired
  • net_change_by_change_orders
    string
  • contract_sum_to_date
    string
  • total_completed_and_stored_to_date
    stringrequired
  • total_amount_accrued_this_period
    string
  • work_retainage
    string
  • materials_retainage
    string
  • total_retainage
    string
  • released_retainage
    string
  • current_payment_due
    stringrequired
  • amount_paid
    string
  • created_at
    stringrequired
  • updated_at
    stringrequired
  • created_by
    object
  • submitted_at
    string
  • approved_at
    string
  • paid_at
    string
  • summary
    PaymentApplicationSummaryrequired
  • line_items
    PaymentApplicationLine[]required
  • details_available
    booleanrequired
GET /rest/v1.0/projects/{project_id}/payment_applications/filter_options/statuses

Status filter options

v1.0Implemented

Parameters

  • project_id
    stringpathrequired

Response · 200 · FilterOption[]

  • key
    stringrequired
  • value
    stringrequired

Ask the OS

Reading this page

Ask anything about this page. Answers use what you're reading as context.

Suggested

    AI · may be imperfect · sample data where shown

    Open file